Bug 232855 - Review Request: surfraw-1.0.7-1 - Shell Users Revolutionary Front Rage Against the Web
Review Request: surfraw-1.0.7-1 - Shell Users Revolutionary Front Rage Agains...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-03-18 19:35 EDT by Joe Rozner
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 02:10:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpmahowald: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Joe Rozner 2007-03-18 19:35:13 EDT
This is my first package and I am seeking a sponsor.
Spec URL: http://deadbytes.net/packages/fedora/specs/surfraw/surfraw.spec
SRPM URL: http://deadbytes.net/packages/fedora/srpms/surfraw-1.0.7-1.src.rpm
Description: 
Surfraw provides a fast unix command line interface to a variety of
popular WWW search engines and other artifacts of power. It reclaims
google, altavista, babelfish, dejanews, freshmeat, research index,
slashdot and many others from the false-prophet, pox-infested heathen
lands of html-forms, placing these wonders where they belong, deep in
unix heartland, as god loving extensions to the shell.

Surfraw abstracts the browser away from input. Doing so lets it get on
with what it's good at. Browsing. Interpretation of linguistic forms
is handed back to the shell, which is what it, and human beings are
good at. Combined with netscape-remote or incremental text browsers,
such as links (http://artax.karlin.mff.cuni.cz/~mikulas/links/), w3m
(http://www.w3m.org/), and screen(1) a Surfraw liberateur is capable
of navigating speeds that leave GUI tainted idolaters agape with fear
and wonder.
Comment 1 John Mahowald 2007-05-12 22:19:08 EDT
Builds on F7.

rpmlint:
E: surfraw no-binary
E: surfraw-debuginfo empty-debuginfo-package

Need to fix:
only sh scripts, make noarch
Wrong license. COPYING (which you should include in %doc) indicates public domain

links, screen, lynx, and w3m are mentioned in the config and description. Did
you want to Require these? Are we going to assume users already have these
installed or can figure out how to?

Comment 2 Joe Rozner 2007-05-12 22:35:40 EDT
Spec URL: http://deadbytes.net/packages/fedora/specs/surfraw/surfraw.spec
SRPM URL: http://deadbytes.net/packages/fedora/srpms/surfraw-1.0.7-2.src.rpm

Added dependencies for lynx, links, screen, and w3m.
Changed the license to Public Domain.
Added COPYING into the doc directory.
Comment 3 John Mahowald 2007-05-14 15:48:49 EDT
Still needs to be set BuildArch: noarch

Now it Requires three different browsers. They all do the same thing, so you are
not missing anything if you pick one and don't Require the others. The config
file mentions all though. Your choice.

As it is now the config file requires user editing to select a browser or it'll
error.  Which is fine, as a comment in /etc/surfraw.conf says "text browser
users can work it out how to change it."
Comment 4 Joe Rozner 2007-05-14 20:03:10 EDT
Spec URL: http://deadbytes.net/packages/fedora/specs/surfraw/surfraw.spec
SRPM URL: http://deadbytes.net/packages/fedora/srpms/surfraw-1.0.7-3.src.rpm

Added BuildArch to build as noarch and removed dependencies again for the text
browser as I don't want all three installed and I'm sure other users don't either.
Comment 5 John Mahowald 2007-05-22 23:20:18 EDT
Good: 
rpmlint clean
License: public domain
BuildArch: noarch
source archive matches
proper file ownership
BuildRoot
%clean section
use of macros

APPROVED

I will sponsor.
Comment 6 Joe Rozner 2007-05-23 02:28:13 EDT
New Package CVS Request
=======================
Package Name: surfraw
Short Description: Shell Users Revolutionary Front Rage Against the Web
Owners: livinded@deadbytes.net
Branches: FC-6 FC-7
InitialCC: livinded@deadbytes.net
Comment 7 Nigel Jones 2007-05-23 02:30:28 EDT
Setting fedora-cvs to ? (livinded's bugzilla access hasn't synced yet).
Comment 8 Tom "spot" Callaway 2007-05-23 11:43:38 EDT
cvs done
Comment 9 Mamoru TASAKA 2007-07-06 11:10:42 EDT
Please update the status of this bug.
Comment 10 Mamoru TASAKA 2007-08-13 02:08:53 EDT
ping again?
Comment 11 Mamoru TASAKA 2007-08-13 02:10:10 EDT
Well, it seems that this package is already rebuilt on
FC-7 and rawhide, so closing as NEXTRELEASE for now...

Note You need to log in before you can comment on or make changes to this bug.